<?php
// php script that returns JSON for jQuery test
dl('php_mapscript.dll');

// $layername = $_GET['q'];
list($layername, $field) = split(",", $_GET['q']); // q is the value of what was selected

$options = array();
$map_path="C:\\ms4w\\Apache\htdocs\\img_browser\\";
$map_file="imgb_access.map";
$map = ms_newMapObj($map_path.$map_file);

switch($layername) {
  case 'landsat_4':
    $layernum = 3;
    $qstring = "Landsat";
    break;
  case 'ikonos':
    $layernum = 4;
    $qstring = "Ikonos";
    break;
  case 'hyperion':
    $layernum = 5;
    $qstring = "Hyperion"; 
    break;
  case 'mn_airphotos':
    $layernum = 6;
    $qstring = "MN DNR";
    break;
}

$layer = $map->getlayer($layernum);
$success = $layer->queryByAttributes('Source', $qstring, MS_MULTIPLE);
$layer->open();
// print_r($layer->getnumresults());
$valuelist = array();
// exit;
// hitting the following URL works but doesn't give me the result I'm looking for
// http://localhost/img_browser/getrows.php?q=landsat_4,source
for ($i = 0; $i <= $layer->getnumresults();$i += 1) {
  $result = $layer->getResult($i);
  $shape = $layer->getShape($result->tileindex, $result->shapeindex);
  $value = $shape->values[$field];
  $valuelist[$value] = $value;
// print "<pre>";
// print_r($value); // print_r($shape->values); 
// print "</pre>";
}

$options = array_unique($valuelist); // array(jim,fred,larry,curly); // testing
// print $options;

// switch($layername) {
//   case 'source':
//     $options = array(
// 	  'Landsat' => 'Landsat', 
// 	  'Unknown' => 'Unknown', 
// 	  'Purchased' => 'Purchased', 
// 	  'Stolen' => 'Stolen', 
//     );
//   break;
//   case 'proj':
//   case 'datum':
//   case 'imgdate':
//     $options = array(
// 	  'location' => 'location', 
// 	  'Source' => 'source', 
// 	  'proj' => 'proj', 
// 	  'datum' => 'datum', 
// 	  'imgdate' => 'imgdate',
//   );
//   break;
// }

// for ($i = 1; $i <= 10; $i++) { // fill the box with ten items
//   $options[] = $i * $layername;
// }

// array built, send it via JSON

$output = '[';
foreach ($options as $value) {
  $output .= "{oV:'$value', oT:'$value'},";
}
$output .= ']';
print $output;
  

